
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>linux磁盘分区、静态分区和LVM / iVAN</title>

    <meta name="description" content="linux磁盘分区、静态分区和LVM 1.虚拟内存技术,windows通过交换文件来实现,linux通过交换分区来实现.所以windows只有一个分区,而安装linux至少两个分区,其中一个就是交换分区,虚拟内存一定程度上可以解决内存不够的问题. 2.硬盘在使用之前必须分区,硬盘分区有主分区,扩展分区和逻辑分区之分,一块硬盘最多只能有四个主分区,其中一个主分区可以用一个扩展分区来代替,只能有一块扩展分区,这个扩展分区可以划分多个逻辑分区 3.linux磁盘设备和分区命名 第一块IDE硬盘叫做/dev/hda,第二块IDE叫做/dev">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">linux磁盘分区、静态分区和LVM</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>1.虚拟内存技术，windows通过交换文件来实现，linux通过交换分区来实现。所以windows只有一个分区，而安装linux至少两个分区,其中一个就是交换分区，虚拟内存一定程度上可以解决内存不够的问题。</p>
<p>2.硬盘在使用之前必须分区，硬盘分区有主分区，扩展分区和逻辑分区之分，一块硬盘最多只能有四个主分区，其中一个主分区可以用一个扩展分区来代替，只能有一块扩展分区，这个扩展分区可以划分多个逻辑分区</p>
<p>3.linux磁盘设备和分区命名</p>
<p>第一块IDE硬盘叫做/dev/hda,第二块IDE叫做/dev/hdb</p>
<p>第一块SCSI硬盘叫做/dev/sda,第二块SCSI硬盘叫做/dev/sdb</p>
<p>第一个IDE第一分区叫做/dev/hda1,第一块IDE第五分区叫做/dev/hda5</p>
<p>第二块SASI第一分区叫做/dev/sdb1,第二块SCSI第五分区叫做/dev/sdb5</p>
<p>4.划分分区之后，要在分区上创建文件系统，windows下有fat,fat32,ntfs。linux下有ext3,ReiserFS。创建文件系统类似windows的格式化</p>
<p>5.静态分区在某个分区耗尽以后，只能暂时解决问题，方法:符号链接，类似windows的快捷方式,调整分区大小的工具，但是停机整顿,或者备份整个系统,清除硬盘，重新分区.而用逻辑盘卷管理可以从根本解决这个问题</p>
<p>6.什么是LVM，LVM是磁盘分区进行管理的一种机制，是在硬盘和分区之间的逻辑层，从而提高磁盘分区管理的灵活性，</p>
<p>7.物理卷，PV，在LVM最低层，可以是整个硬盘，硬盘上的分区，或者在逻辑上与分区有相同功能的设备，</p>
<p>8.卷组，VG，由一个或者多个物理卷组成，而且可以动态的添加物理卷到卷组中，而在卷组上可以创建一个或者多个LVM分区（逻辑卷）</p>
<p>9.逻辑卷LV，就是从卷组中切出来的一段空白，逻辑卷可以自由改变空间大小</p>
<p>10，物理区域，PE每个物理区域被划分为基本单位，具有唯一编号的PE可以被LVM寻址的最小储存单元，PE的大小是在实际情况时创建物理卷决定的，默认是4096，同一个卷组里的所有物理卷的PE大小必须一致。</p>
<p>11.逻辑区域，LE，在同一个卷组中，LE的大小和PE是相同的，并且一一对应</p>
<p>查看本栏目更多精彩内容：http://www.bianceng.cnhttp://www.bianceng.cn/OS/Linux/</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-08 06:17:02</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%a3%81%e7%9b%98/" title="磁盘">磁盘</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%a4%a7%e5%b0%8f/" title="大小">大小</a>, <a href="https://www.iamivan.net/tag/%e7%a1%ac%e7%9b%98/" title="硬盘">硬盘</a>, <a href="https://www.iamivan.net/tag/%e7%89%a9%e7%90%86/" title="物理">物理</a>, <a href="https://www.iamivan.net/tag/%e9%80%bb%e8%be%91/" title="逻辑">逻辑</a>, <a href="https://www.iamivan.net/tag/linux%e6%93%8d%e4%bd%9c%e7%b3%bb%e7%bb%9f-%e7%a1%ac%e7%9b%98/" title="linux操作系统 硬盘">linux操作系统 硬盘</a>, <a href="https://www.iamivan.net/tag/lvm/" title="LVM">LVM</a>, <a href="https://www.iamivan.net/tag/unubtu%e5%88%86%e5%8c%ba%e9%97%ae%e9%a2%98/" title="unubtu分区问题">unubtu分区问题</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>linux磁盘分区、静态分区和LVM的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4BO0p.html" rel="bookmark">linux磁盘分区</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  1.虚拟内存技术,windows通过交换文件来实现,linux通过交换分区来实现.所以windows只有一个分区,而安装linux至少两个分区,其中一个就是交换分区,虚拟内存一定程度上可以解决内存不够的问题. 2.硬盘在使用之前必须分区,硬盘分区有主分区,扩展分区和逻辑分区之分,一块硬盘最多只能有四个主分区,其中一个主分区可以用一个扩展分区来代替,只能有一块扩展分区,这个扩展分区可以划分多个逻辑分区 3.linux磁盘设备和分区命名 第一块IDE硬盘叫做/dev/hda,第二块IDE叫做/d			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkaY55b.html" rel="bookmark">Linux磁盘管理：LVM逻辑卷管理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux磁盘管理:LVM逻辑卷管理 原文地址:http://www.cnblogs.com/xiaoluo501395377/archive/2013/05/22/3093405.html Linux学习之CentOS(二十五)--Linux磁盘管理:LVM逻辑卷基本概念及LVM的工作原理 这篇随笔将详细讲解Linux磁盘管理机制中的LVM逻辑卷的基本概念以及LVM的工作原理!!! 一.传统的磁盘管理 其实在Linux操作系统中,我们的磁盘管理机制和windows上的差不多,绝大多数都是使用M			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baBKXNM.html" rel="bookmark">Linux系统磁盘分区（逻辑卷LVM）的扩充</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux系统磁盘分区(逻辑卷LVM)的扩充 1.查看目前磁盘分区情况,系统是安装在一块100G的虚拟磁盘上.安装系统时采用了LVM分区方式.其中/home空间大小为71G 2.查看目前虚拟机的磁盘情况,目前虚拟机中有两块硬盘,/dev/sda 100G,/dev/sdb 5.6T 3.创建pv ,通过pvcreate命令将磁盘/dev/sdb创建为一个系统PV # pvcreate /dev/sdb # pvs 4.将 PV /dev/sdb添加到卷组ubuntu-42-vg中.参考下图中标记			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1rL5ap.html" rel="bookmark">Linux磁盘分区，目录树，文件系统的关系&lpar;转&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				研究了很久,自始至终不能够从三者的区别和联系中找到一个大脑与这些概念之间合适的相处方式.对于基本概念和理论理解不到位,在工作之中会走很多弯路和犯很多错误.今天花一天的时间,终于对三者的区别和联系有了更进一步的理解,特此记录并分享之,供大家探讨交流. (一)磁盘分区 首先要明白的是磁盘为什么要分区. 一是从数据安全方面考虑,二是从系统访问磁盘的性能考虑.一个磁盘的某个分区损坏,不在该分区的数据将不会受到影响,这样就能够有效地保护不同业务的数据.过大的磁盘分区在系统进行读写的时候,会降低系统的读写性			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zVXROBM.html" rel="bookmark">LINUX磁盘分区、格式化、挂载、卸载详细过程&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.一切皆文件 Linux系统有一个理念:&quot;一切皆文件&quot;,所以计算机的硬件在linux中也是以&quot;文件&quot;的形式存在于/dev目录中.  图为CentOS 6.5系统中/dev目录的部分内容.不同的计算机显示的内容大同小异. 比如,光驱对应的文件是/dev/cdrom,CPU对应的文件是/dev/cpu.而硬盘对应的是/dev/sd*.第一块硬盘是/dev/sda,第二块磁盘是/dev/sdb. 但是一个磁盘通常又被分成多个分区,所以在磁盘文件的后面加上分区的序号来对应			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boJLgVz.html" rel="bookmark">Linux磁盘分区实战案例&lpar;必看篇&rpar;&lowbar;Linux</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.查看新添加磁盘 [root@localhost /]# fdisk -l 磁盘 /dev/sda:53.7 GB, 53687091200 字节,104857600 个扇区 Units = 扇区 of 1 * 512 = 512 bytes 扇区大小(逻辑/物理):512 字节 / 512 字节 I/O 大小(最小/最佳):512 字节 / 512 字节 磁盘标签类型:dos 磁盘标识符:0x0009f1d1 设备 Boot Start End Blocks Id System /dev/s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyrOElp.html" rel="bookmark">Linux磁盘分区详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.文件系统: 在Linux中支持许多的文件系统,我们不必要全部掌握: ext2:最常用的Linux文件系统,支持256个字节的长文件名: ext3:ext2的升级版,兼容ext2,带日志功能,称为日志式文件系统: NFS:网络文件系统,由SUN发明,主要用于远程文件共享 iso9660:大部份光盘所用的文件系统 swap:这是一种特殊的分区,用于在内存和硬盘间交换数据的文件系统: vfat:Windows95/98采用的文件系统 2.分区类型: 主分区:主分区最多可以有四个: 扩展分区:扩展分			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5AE76p.html" rel="bookmark">linux CentOS WEB服务器分区方案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  分区类型 分区的实际大小 解析 SWAP分区 2G (内存为1G,一般为内存的2倍) / 1G-2G (最少要150–250MB) /boot 32M-100M (启动分区,最多只要100M左右) /opt 100M-1G (附加应用程序) /tmp 40M-1000M (最大可以设为1G左右,如果加载ISO镜像文 件就设为4G左右吧,一般不用那么多) /home 2G-10G (每个用户100M左右,具体自定.用户目录.) /usr 3G-10G (最耗用空间的部份.最少要500M左右,一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2P30rp.html" rel="bookmark">RHCE 学习笔记（23&rpar; - 磁盘格式化和分区</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://beanxyz.blog.51cto.com/5570417/1603113 这一节学习RHEL7里面如何对磁盘进行分区和格式化,下一节会进一步学习如何配置LVM. 图形工具很简单,Disk工具打开就可以配置了,主要来看看命令行下如何配置MBR和GPT分区格式的硬盘. 传统的硬盘分区都是MBR格式,MBR分区位于0扇区,他一共512字节,前446字节是grub引导程序,这个会在后			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpP2Oqb.html" rel="bookmark" class="title">GetObject 函数</a>
					<div>
						object|函数 GetObject([pathname] [, class]) 参数 pathname 可选项. 完整的文件路径和名称,文件中包含了要检索的对象. 如果忽略了 pathname , ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj5O8z.html" rel="bookmark" class="title">JS-AJAX入门实例：循环，函数，对象，对象属性</a>
					<div>
						ajax|js|对象|函数|循环 1,列举对象属性的名称 &lt;script language=&quot;javascript&quot;&gt;var obj=new Object();obj. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpP4yrp.html" rel="bookmark" class="title">规划网站内容</a>
					<div>
						规划 做一个有个性的个人网站,首先要明确自己的内容规划. A/符合自己的个性&lt;?xml:namespace prefix = o ns = &quot;urn:schemas-microsoft ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1mJdM.html" rel="bookmark" class="title">Java实现网络监听</a>
					<div>
						网络 // tcpServer.java by fpont 3/2000 // usage : java tcpServer &lt;port number&gt;.// default port i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zevkVb.html" rel="bookmark" class="title">从网站改版引起的流量波动引发的那些事</a>
					<div>
						网站的改版升级已经是必然面临的问题,那怎样看待这个问题,以及这个问题所带来的后续问题,不知道看了这篇文章的你,有什么看法呢?网站的改版已经是网站运营人员需要面临的运营问题之中比较大的难题了. 网站的改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg8w3p.html" rel="bookmark" class="title">一个通用数据库访问类（C&num;，SqlClient）</a>
					<div>
						client|访问|数据|数据库 使用ADO.NET时,每次数据库操作都要设置connection属性.建立connection.使用command.事务处理等,比较繁琐,有很多重复工作.能不能把这些 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M623yNM.html" rel="bookmark" class="title">汉字得出对应的拼音；通过拼音查找map中的汉字，逆向map多个装成list</a>
					<div>
						需要用到Pingyin4j.jar import net.sourceforge.pinyin4j.PinyinHelper; import net.sourceforge.pinyin4j.form ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1XJjz.html" rel="bookmark" class="title">主从故障处理之session 级别参数复制错误</a>
					<div>
						接受新项目,主从数据库复制同步错误,Error Code  1292 (invalid datatype) 报错SQL:update wave set IS_WAVED = 0,LEVEL = 1,S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1ReKrp.html" rel="bookmark" class="title">Word插入音频方法 Word2003、2007、2010 如何插入音频</a>
					<div>
						在Word中插入一段Mp3格式的音频文件,不仅可以让我们在编辑Word文档的时候,可以一边编辑一边欣赏优美的音乐.同时,也可以降低文档的枯燥,让读者边听音乐边阅读,效果更好.在这里,易捷PDF转换成W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3V9BM.html" rel="bookmark" class="title">SQL Server2000安装时提示挂起的解决方法</a>
					<div>
						安装 SQL2000 时,系统经常会提示:操作被挂起,要求重新启动计算机,如图1: 图1 重新启动后,再次安装时问题仍然存在. 解决办法: 1:在开始菜单中点击运行,输入 regedit ,打开注册表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WowDb.html" rel="bookmark" class="title">京东今天还在用&period;NET架构的原因是什么？</a>
					<div>
						被人邀请来回答这个问题,我觉得这个问题有三个部分: 1)为什么京东选Win/.NET平台 2)选Win/.NET平台行不行? 3)京东的系统的问题是什么? 1)为什么京东选Win/.NET平台? 我觉 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYWJ0M.html" rel="bookmark" class="title">CEF浏览器实现  声音 上传文件处理</a>
					<div>
						问题描述 CEF浏览器实现 声音 上传文件处理 9C window 平台用C/C++实现示例代码 1 用CEF编译浏览器能播放网页所有声音 2 用CEF编译浏览器对指定网页上传文件时,对上传文件进行处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Njy7z.html" rel="bookmark" class="title">ios-在滚动表视图时选择目录重复</a>
					<div>
						问题描述 在滚动表视图时选择目录重复 在一个表视图中显示信息,信息是固定的.使用逻辑将选择目录选择特定的空间.代码如下: -(UITableViewCell *)tableView:(UITableV ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGE253M.html" rel="bookmark" class="title">Android异步回调中的UI同步性问题</a>
					<div>
						Android程序编码过程中,回调无处不在.从最常见的Activity生命周期回调开始,到BroadcastReceiver.Service以及Sqlite等.Activity.BroadcastRe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR70Ob.html" rel="bookmark" class="title">不规则对话框-SetWndRgn函数使用问题</a>
					<div>
						问题描述 SetWndRgn函数使用问题 在MFC对话框程序中,我用该函数创建了一个不规则对话框,实现了效果,但是在程序运行过程中发现了一个现象:本不该透明的部分偶尔会出现透明的现象:求帮助! 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z8EYM.html" rel="bookmark" class="title">ormlite for android使用怎么无法创建数据库</a>
					<div>
						问题描述 ormlite for android使用怎么无法创建数据库 发现一个问题如果不调用getWritableDatabase方法,在/data/data/xxx/databases/目录是不会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ99Kp.html" rel="bookmark" class="title">MIC Gadget发布兼容iPad的CF卡读卡器</a>
					<div>
						MIC Gadget本周悄悄发布了一个iPad和iPad 2专用的CF卡读卡器,可用于摄影师随时在平板上查阅自己拍摄的图像,这款读卡器直接采用苹果的Dock接口,除了能读CF卡外还有一个http:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqDqxb.html" rel="bookmark" class="title">Oracle EBS Alert 预警</a>
					<div>
						Alert 是一种Oracle系统中的一种机制,它可以监视系统数据库,在规定的情况下给规定用户一个通知,通知可以是邮件或者其他形式,在标注的系统和客户化系统中都是可以定义使用的.有两种类型的Alert ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPk640M.html" rel="bookmark" class="title">安装J2EE的SDK报错：could not find the required version of the Java&lpar;TM&rpar;2 Runtime Environment in &amp;&num;039&semi;&lpar;null&rpar;&amp;&num;039&semi;的解决</a>
					<div>
						原文地址: http://www.cnblogs.com/tearer/archive/2012/06/21/2557980.html   安装J2EE的SDK报错:could not find th ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEdl2M.html" rel="bookmark" class="title">百行代码入门Python - Chapter 6</a>
					<div>
						以下代码均采用Python 3.5.2编写.新建一个名为HelloWorld.py的文件,当然名字无所谓,输入以下代码: #filter def larger100(a): return a&gt;1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60LqLz.html" rel="bookmark" class="title">有一个业务逻辑的问题，没有思路。。求给思路。。</a>
					<div>
						问题描述 想了俩小时...头都疼了....还是来问问大神们把.大概是这样的,有一个用户表,有一个计划表一个用户可以有多个计划,也就是一对多的关系,计划是分日期的,也就是说1天一条数据现在表格要这样显示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoA6NM.html" rel="bookmark" class="title">公有云服务总营收达1310亿美元，增幅达18&period;5&percnt;</a>
					<div>
						据Gartner的调查显示,全球公有云服务市场今年预计增长达到18.5%,总营收实现1310亿美元.而去年的全球总营收为1110亿美元.基础设施即服务,包括云计算.存储和打印等,持续快速增长,预计增幅 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkYDBp.html" rel="bookmark" class="title">Smartstay：一款基于iBeacon定位技术打造智能酒店的应用</a>
					<div>
						摘要: 不是在酒店扫个二维码后用手机控制灯光.空调.窗帘和电视的就是智能酒店了,鸡肋的功能无法给用户创造价值,也不会让酒店因此提高收益,至少在我看来,智能酒店是以为双方创 不是在酒店扫个二维码后用手机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmWvVp.html" rel="bookmark" class="title">ASP&period;NET中MVC传递数据的几种形式总结&lowbar;实用技巧</a>
					<div>
						本文实例讲述了ASP.NET中MVC传递数据的几种形式.分享给大家供大家参考.具体如下: 在Asp.net mvc开发中,Controller需要向View提供Model,然后View将此Model渲 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0Lvjz.html" rel="bookmark" class="title">PHP中防止SQL注入攻击和XSS攻击的两个简单方法&lowbar;php技巧</a>
					<div>
						mysql_real_escape_string() 所以得SQL语句如果有类似这样的写法:&quot;select * from cdr where src =&quot;.$userId; 都要改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwK0amz.html" rel="bookmark" class="title">【Cxf】&plus;Tomcat&plus;Eclipse开发Web Service</a>
					<div>
						问题描述 目前有个webservice的项目,使用的是CXF的JAX-RS在eclipse中写了这么一个类:packagecom.xxx.searchservice;importorg.apache. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze05R7p.html" rel="bookmark" class="title">网络编程-求助 windows8序列化传输</a>
					<div>
						问题描述 求助 windows8序列化传输 想用winform服务端向windows8 客户端传输数据 这个数据是一个List 里面的成员是我自己写的类Content 成员变量基本都是string 请 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLvlXM.html" rel="bookmark" class="title">怪问题&comma;是不是程序执行太快&comma;以致于数据库来不及更新就被显示出来了&quest;</a>
					<div>
						问题描述 ASP.NET中,更新Access数据库(增.删.改),然后把信息显示到datagrid里面:我先写了更新语句,然后才把数据绑定到datagrid中,奇怪的是datagrid中居然没反应,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Z4Emz.html" rel="bookmark" class="title">Win7 下注册COM组件 提示DLLRegisterServer调用失败</a>
					<div>
						问题描述 尝试多种解决方法,最后在控制面板下做如下修改,即可注册:					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QGn7p.html" rel="bookmark" class="title">genymotion-Genymotion 配置ADB时选择本地SDK错误</a>
					<div>
						问题描述 Genymotion 配置ADB时选择本地SDK错误 Genymotion界面,点击&quot;settings&quot;,选择ADB选项卡,选择Use custom android SD ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
